<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


/**
 * App\Models\Account
 *
 * @property-read \App\Models\Country $company_country
 * @property-read \App\Models\Country $company_pre_phone
 * @property-read \App\Models\Country $country
 * @property-read mixed $company
 * @property-read \App\Models\Country $pre_mobil
 * @property-read \App\Models\Country $pre_phone
 * @property-read \App\User $user
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Account onlyTrashed()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Account withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Account withoutTrashed()
 * @mixin \Eloquent
 */
class Account extends Model
{
    protected $table = 'accounts';


    use SoftDeletes;
    protected $dates = ['deleted_at'];


    public function user()
    {
        return $this->belongsTo('App\User');
    }


    public function company_country()
    {
        return $this->belongsTo('App\Models\Country', 'company_country_id');
    }

    public function country()
    {
        return $this->belongsTo('App\Models\Country', 'country_id');
    }

    public function company_pre_phone()
    {
        return $this->belongsTo('App\Models\Country', 'company_pre_phone_id');
    }

    public function pre_phone()
    {
        return $this->belongsTo('App\Models\Country', 'pre_phone_id');
    }

    public function pre_mobil()
    {
        return $this->belongsTo('App\Models\Country', 'pre_mobil_id');
    }

    public function getCompanyAttribute(){

        if(empty($this->attributes['company']) && @$this->attributes['company'] !== 0){
            return 1;
        }
        return $this->attributes['company'];
    }
}
